import 'package:citycards_customer/common_packages/custom_filled_button.dart';
import 'package:citycards_customer/common_packages/custom_text.dart';
import 'package:citycards_customer/itinerary_creation/bloc/itinerary_steps_selection_bloc.dart';
import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

class DateSelectionView extends StatelessWidget {
  const DateSelectionView({super.key});

  @override
  Widget build(BuildContext context) {
    return Center(
      child: Column(
        mainAxisAlignment: MainAxisAlignment.center,
        children: [
          Text(
            "👋 Hello! We'd love to know more about you. When are you visiting?",
            style: TextStyle(
              color: Color(0xFF101828),
              fontSize: 24.sp,
              fontWeight: FontWeight.w500,
            ),
            textAlign: TextAlign.center,
          ),
          SizedBox(height: 32.h),

          Container(
            height: 90.h,
            padding: EdgeInsets.symmetric(horizontal: 20.w),
            decoration: BoxDecoration(
              color: Colors.white,
              borderRadius: BorderRadius.circular(28),
              border: Border.all(color: Color(0xFFF95F62), width: 1.1.w),
            ),
            child: Row(
              mainAxisAlignment: MainAxisAlignment.spaceBetween,
              children: [
                Image.asset("assets/icons/calender.png", scale: 4),

                CustomText(
                  text: "Wednesday, October 15, 2025",
                  size: 14.sp,
                  color: Color(0xFF101828),
                ),

                Icon(Icons.check_circle, color: Color(0xFFF95F62)),
              ],
            ),
          ),
          SizedBox(height: 32.h),
          CustomFilledButton(
            onTap: () {
              context.read<ItineraryStepNavigationBloc>().add(
                ItineraryStepNavigationNextEvent(),
              );
            },
            label: "Continue",
            showArrow: true,
          ),
        ],
      ),
    );
  }
}
